#include <iostream>
#include <bits\stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    string c1, c2;
    char a1, a2;
    cin>>c1>>c2;
    cin>>a1>>a2;
    string b;
    if(a1==a2||a1==a2+1||a2==a1+1){
        if(a1>a2){
            for(int i=1; i<a1; i++){
                    b=c1+c2;
                     cout<<"b"<<’/n’;
            }
        }
        b=b+c1;
        if(a2>a1){
            for(int i=1;i<a2; i++){
                b=c2+c1;
            }
            b=b+c2;
             cout<<"b"<<’/n’;
        }
        if(a2==a1){
            for(int i=1; i<=a1; i++){
                b=c1+c2;
                 cout<<"b"<<’/n’;
            }
      }
    }
    else cout<< "nemoguce"<<’/n’;

    return 0;
}